Package org.eclipse.debug.ui.memory

# Interface IMemoryBlockTablePresentation

All Superinterfaces:
  `IBaseLabelProvider`, `IDebugModelPresentation`, `ILabelProvider`, `ISourcePresentation`

public interface IMemoryBlockTablePresentation extends IDebugModelPresentation
Allows debug models to customize the rendering of addresses for its memory blocks in table and text based renderings provided by the debug platform.

To contribute a memory block table presentation, implement your debug model presentation as documented in `org.eclipse.debug.ui.IDebugModelPresentation`. In addition, implement this interface in your debug model presentation. Your model presentation will be called when `org.eclipse.debug.ui.memory.AbstractTableRendering` constructs its column and row labels.

Clients may implement this interface.

Since:
  3.1

## Field Summary

### Fields inherited from interface org.eclipse.debug.ui.IDebugModelPresentation

`DISPLAY_VARIABLE_TYPE_NAMES`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getColumnLabels(IMemoryBlock blk, int bytesPerLine, int numColumns)`
Returns a collection of labels to head columns in a `AbstractTableRendering` rendering, or `null` if default labels should be used.
`String`
`getRowLabel(IMemoryBlock blk, BigInteger address)`
Renders and returns a label for a row starting at the given address within the given memory block, or `null` if default rendering should be used.

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from interface org.eclipse.debug.ui.IDebugModelPresentation

`computeDetail, getImage, getText, setAttribute`

### Methods inherited from interface org.eclipse.debug.ui.ISourcePresentation

`getEditorId, getEditorInput`

## Method Details

### getColumnLabels

String[] getColumnLabels(IMemoryBlock blk, int bytesPerLine, int numColumns)
Returns a collection of labels to head columns in a `AbstractTableRendering` rendering, or `null` if default labels should be used.

Parameters:
  `blk` - memory block
  `bytesPerLine` - the number if bytes to be displayed
  `numColumns` - the number of columns the bytes are divided into
Returns:
  a collection of labels to head columns in a `AbstractTableRendering` rendering, or `null` if default labels should be used

### getRowLabel

String getRowLabel(IMemoryBlock blk, BigInteger address)
Renders and returns a label for a row starting at the given address within the given memory block, or `null` if default rendering should be used.

Parameters:
  `blk` - memory block
  `address` - an address in the memory block
Returns:
  a label for a row starting at the given address within the given memory block, or `null` if default rendering should be used